Subject: RE: [lojban] the formal grammars' utility

From: "Bob LeChevalier (lojbab)" <[email-masked]>
Date: Sun, 15 Jul 2001 10:11:54 -0400

At 02:16 AM 07/15/2001 +0100, And wrote:
>Lojbab:
> > At 04:40 PM 07/14/2001 +0100, And Rosta wrote:
> > >1. What use is the EBNF grammar, given that it can't be used instead of
> > >YACC?
> >
> > Some people find it easier to understand than the YACC grammar because the
> > rules are compressed into a more language-grammar-like form.
>
>Am I mistaken in thinking that the EBNF in the book contains less info
>than the YACC?

According to the guy who did it (originally Cowan, but later another person 
- Clark Nelson, I think his name is) it SHOULD contain the full language.

> For instance, trying to answer my own question of earlier
>today about DOI, I find that "vocative415 = (COI [NAI])...& DOI", but
>find nothing about the expansion of DOI, whereas I do find this info
>under vocative_35 and DOI_415 in YACC.

I think it is note (6) before the BNF text that says that the symbol "&" in
A & B means
A
or
B
or
A B

so the rule for vocative415 allows

COI(NAI)
DOI
COI(NAI)DOI

> > >2. Is there a downloadable version of YACC ordered alphabetically (or
> > >in any way such that one knows whereabouts in the rule list to find the
> > >expansion for a given node)?
> >
> > The YACC grammar in the Book has an index that provides this.
>
>No, the index lists for each phrase the phrases it occurs within, but
>it doesn't tell us whereabouts in the YACC grammar text itself the
>rule can be found; one has to flick through the pages hunting fairly
>randomly.

I'm not sure what you are looking for then. All of the rules have numbers 
on them and the YACC grammar rules are in numerical order, so that finding 
the definition of a given rule is trivial. Finding what other rules use 
that given rule takes an index.

lojbab
--
lojbab [email-masked]
Bob LeChevalier, President, The Logical Language Group, Inc.
2904 Beau Lane, Fairfax VA 22031-1303 USA 703-385-0273
Artificial language Loglan/Lojban: http://www.lojban.org